# getDependencies

abstract fun getDependencies(@Nullable task: @Nullable Task): Set<out Task>

Determines the dependencies for the given Task. This method is called when Gradle assembles the task execution graph for a build. This occurs after all the projects have been evaluated, and before any task execution begins.

#### Return

The tasks which the given task depends on. Returns an empty set if the task has no dependencies.

#### Parameters

task

The task to determine the dependencies for.